MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0032202Open CASCADE[OCCT] OCCT:Visualizationpublic2021-03-06 10:472021-04-03 12:50
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.5.0 
Target Version[OCCT] 7.6.0*Fixed in Version 
Summary0032202: Visualization - XCAFDoc_VisMaterial::FillMaterialAspect() should copy emissive color from PBR definition
DescriptionXCAFDoc_VisMaterial::FillMaterialAspect() should propagate emission coefficients between PBR / Common materials as they have the same meaning.
Steps To Reproducetest de_mesh gltf_read lantert
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0031096closedbugmaster Visualization, TKOpenGl - support metallic-roughness texture mapping 

-  Notes
(0099464)
git (administrator)
2021-03-06 10:48

Branch CR32202 has been created by kgv.

SHA-1: a7a92bef36796b644eb78c55f5799710b4c07268


Detailed log of new commits:

Author: kgv
Date: Sat Mar 6 10:48:18 2021 +0300

    0032202: Visualization - XCAFDoc_VisMaterial::FillMaterialAspect() should copy emissive color from PBR definition
(0099465)
git (administrator)
2021-03-06 12:09

Branch CR32202 has been updated forcibly by kgv.

SHA-1: a85bd488be66ec10dff9fe8fac913585089b4695
(0099507)
git (administrator)
2021-03-06 14:33

Branch CR32202 has been updated forcibly by kgv.

SHA-1: a16b8c9b14ac5fd0be9c9a5d9ea38609edf525e7
(0099512)
kgv (developer)
2021-03-06 16:52

Patch is ready for review
- OCCT: branch CR32202.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR32202-master-KGV/ [^]
(0099546)
osa (developer)
2021-03-17 13:56

The patch was reviewed
(0099611)
bugmaster (administrator)
2021-03-20 12:49

Combination -
OCCT branch : IR-2021-03-19
master SHA - d209b3176e21010e096833052698f1c0da5b04d5
a87b7ddc8cb44606b91e3f37113847c3f5f50fdc
Products branch : IR-2021-03-19 SHA - 6baf3a921c29525981c0ad7881214c9b20ffe3c1
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17753.85000000016 / 17750.250000000156 [+0.02%]
Products
Total CPU difference: 11481.660000000102 / 11540.5800000001 [-0.51%]
Windows-64-VC14:
OCCT
Total CPU difference: 19361.09375 / 19341.28125 [+0.10%]
Products
Total CPU difference: 12879.75 / 12869.921875 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0100047)
git (administrator)
2021-04-03 12:50

Branch CR32202 has been deleted by inv.

SHA-1: a16b8c9b14ac5fd0be9c9a5d9ea38609edf525e7

- Related Changesets
occt: master 9b329b9a
Timestamp: 2021-03-06 07:48:18
Author: kgv
Committer: bugmaster
Details ] Diff ]
0032202: Visualization - XCAFDoc_VisMaterial::FillMaterialAspect() should copy emissive color from PBR definition
mod - src/XCAFDoc/XCAFDoc_VisMaterial.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2021-03-06 10:47 kgv New Issue
2021-03-06 10:47 kgv Assigned To => kgv
2021-03-06 10:48 git Note Added: 0099464
2021-03-06 10:48 kgv Relationship added related to 0031096
2021-03-06 10:49 kgv Product Version => 7.5.0
2021-03-06 12:09 git Note Added: 0099465
2021-03-06 14:33 git Note Added: 0099507
2021-03-06 16:52 kgv Note Added: 0099512
2021-03-06 16:52 kgv Assigned To kgv => osa
2021-03-06 16:52 kgv Status new => resolved
2021-03-17 13:56 osa Note Added: 0099546
2021-03-17 13:56 osa Assigned To osa => bugmaster
2021-03-17 13:56 osa Status resolved => reviewed
2021-03-20 12:49 bugmaster Note Added: 0099611
2021-03-20 12:49 bugmaster Status reviewed => tested
2021-03-20 12:56 bugmaster Test case number => Not required
2021-03-23 21:46 bugmaster Changeset attached => occt master 9b329b9a
2021-03-23 21:46 bugmaster Status tested => verified
2021-03-23 21:46 bugmaster Resolution open => fixed
2021-04-03 12:50 git Note Added: 0100047


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker